SDL_modf(3)

NAME
SDL_modf - Split x into integer and fractional parts

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_modf(double x, double *y);

DESCRIPTION
This function operates on double-precision floating point values, use SDL_modff
 for single-precision floats.

FUNCTION PARAMETERS

x   floating point value

y   output pointer to store the integer part of x

RETURN VALUE
Returns the fractional part of x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_modff(3), SDL_trunc(3), SDL_fmod(3)